automatic commit
[folded-ctf.git] / run.sh
diff --git a/run.sh b/run.sh
index 3a90f56..2900f5e 100755 (executable)
--- a/run.sh
+++ b/run.sh
@@ -23,8 +23,14 @@ MAIN_URL="http://www.idiap.ch/folded-ctf"
 
 make -j -k
 
+if [[ $? != 0 ]]; then
+    echo "Compilation failed." >&2
+    exit 1
+fi
+
 echo
 
+######################################################################
 # Generating the pool file
 
 DATA_PATH=./rmk-data
@@ -64,12 +70,13 @@ if [[ -d ${DATA_PATH} ]]; then
 
 else
 
-    echo "Can not find the RateMyKitten images in ${DATA_PATH}. You can" >&2
-    echo "download them from ${MAIN_URL}" >&2
+    echo "Can not find the RateMyKitten images in ${DATA_PATH}. You can download" >&2
+    echo "them from ${MAIN_URL}" >&2
     exit 1
 
 fi
 
+######################################################################
 # Running the computation per se
 
 RESULT_DIR=./results